#
# spec file for package perl-Class-Accessor (Version 0.31)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-Class-Accessor
BuildRequires:  perl-Carp-Assert
Version:        0.31
Release:        2.2
Requires:       perl-Carp-Assert
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Class/
Summary:        Automated accessor generation
Source:         Class-Accessor-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module automatically generates accessor/mutators for your class.



Authors:
--------
    Michael G Schwern <schwern@pobox.com>

%prep
%setup -q -n Class-Accessor-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
chmod 755 examples/benchmark

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%doc Changes README examples
%{perl_vendorlib}/Class
%{perl_vendorarch}/auto/Class
/var/adm/perl-modules/%{name}

%changelog
* Wed Jul 25 2007 anicka@suse.cz
- update to 0.31
  * applied performance patch from RUZ
* Wed Dec 13 2006 anicka@suse.cz
- update to 0.30
  * added version numbers back into each class
* Mon Jul 24 2006 anicka@suse.cz
- update to 0.27
  * added Class::Accessor::Faster that uses an array internally
* Tue Jul 11 2006 anicka@suse.cz
- update to 0.25
- minor release
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 0.22
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 13 2004 mjancar@suse.cz
- update to 0.19
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Jun 26 2002 prehak@suse.cz
- correct permissions of examples directories
* Wed Jan 23 2002 rvasice@suse.cz
- initial package release (version 0.17)
